/// <reference types="node" />
import type { DockerOptions } from 'dockerode';
import type { CreateOptions } from './types';
export declare class Docker {
    private docker;
    constructor(options?: DockerOptions);
    ping(): Promise<boolean>;
    pullImage(image: string): Promise<boolean>;
    runImage(image: string, createOptions: CreateOptions, outputStream?: NodeJS.WritableStream): Promise<boolean>;
    deleteContainer(name: string): Promise<void>;
    buildImage(context: string, dockerfile: string, integrationName: string, buildArgs: Record<string, string>, nocache?: boolean): Promise<string>;
}
